| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Public Attributes
Tp::SimpleStreamTubeHandler::InvocationData Struct Reference

Inherits Tp::RefCounted.

List of all members.

## Public Member Functions

- InvocationData ()

## Public Attributes

- PendingOperation * readyOp
- QString error
- QString message
- MethodInvocationContextPtr ctx
- AccountPtr acc
- QList< StreamTubeChannelPtr > tubes
- QDateTime time
- ChannelRequestHints hints

## Constructor & Destructor Documentation

Tp::SimpleStreamTubeHandler::InvocationData::InvocationData | ( |  | ) | `[inline]`

## Member Data Documentation

PendingOperation* Tp::SimpleStreamTubeHandler::InvocationData::readyOp

QString Tp::SimpleStreamTubeHandler::InvocationData::error

QString Tp::SimpleStreamTubeHandler::InvocationData::message

MethodInvocationContextPtr Tp::SimpleStreamTubeHandler::InvocationData::ctx

AccountPtr Tp::SimpleStreamTubeHandler::InvocationData::acc

QList<StreamTubeChannelPtr> Tp::SimpleStreamTubeHandler::InvocationData::tubes

QDateTime Tp::SimpleStreamTubeHandler::InvocationData::time

ChannelRequestHints Tp::SimpleStreamTubeHandler::InvocationData::hints